FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Please give me your LTO-4 or better tape library and I'll put it to good use.
Port details
rubygem-bunny060 Another synchronous Ruby AMQP client
0.6.0 net Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Deprecated DEPRECATED: Use net/rubygem-bunny instead
Expired This port expired on: 2015-06-30
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 02 Jul 2013 02:13:58
Also Listed In: rubygems
License: not specified in port
Bunny is an AMQP (Advanced Message Queuing Protocol) client, written in Ruby,
that is intended to allow you to interact with AMQP-compliant message
brokers/servers such as RabbitMQ in a synchronous fashion.

It is based on a great deal of useful code from amqp by Aman Gupta and Carrot
by Amos Elliston.

You can use Bunny to :
* Create and delete exchanges
* Create and delete queues
* Publish and consume messages

Bunny is known to work with RabbitMQ versions 1.5.4 and above with version 0-8
of the AMQP specification.

WWW: https://github.com/ruby-amqp/bunny
SVNWeb : Homepage : Distfiles Availability : PortsMon

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. gem21 : devel/ruby-gems
  2. ruby21 : lang/ruby21
Runtime dependencies:
  1. rubygem-amq-protocol>=1.6.0 : net/rubygem-amq-protocol
  2. gem21 : devel/ruby-gems
  3. ruby21 : lang/ruby21
Patch dependencies:
  1. gem21 : devel/ruby-gems
  2. ruby21 : lang/ruby21
Extract dependencies:
  1. ruby21 : lang/ruby21
NOTE: dependencies for deleted ports are notoriously suspect

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

No installation instructions: this port has been deleted.

The package name of this deleted port was: rubygem-bunny060


Configuration Options
     No options to configure

Master Sites:
  1. http://distcache.FreeBSD.org/ports-distfiles/rubygem/
  2. http://production.cf.rubygems.org/gems/
  3. http://production.s3.rubygems.org/gems/

Number of commits found: 9

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
30 Jun 2015 16:39:46
Original commit files touched by this commit  0.6.0
Revision:390973
rene search for other commits by this committer
Remove expired ports:
2015-06-30 devel/rubygem-mash: Deprecated by upstream. Use devel/rubygem-hashie
instead
2015-06-30 net/rubygem-bunny060: Use net/rubygem-bunny instead
2015-06-30 security/rubygem-hmac: Duplicate of security/rubygem-ruby-hmac
2015-06-30 www/ruby-amazon: Rendered obsolete by upstream since Amazon shut down
access to AWS API v3 (2008-03-31). Use www/ruby-aws instead
21 May 2015 21:26:21
Original commit files touched by this commit  0.6.0
Revision:386978
sunpoet search for other commits by this committer
- Mark DEPRECATED and set EXPIRATION_DATE to 2015-06-30
31 Aug 2014 02:26:28
Original commit files touched by this commit  0.6.0
Revision:366700
swills search for other commits by this committer
net/rubygem-bunny060: limit portscout to proper versions
26 Aug 2014 20:55:03
Original commit files touched by this commit  0.6.0
Revision:366271
swills search for other commits by this committer
net/rubygem-bunny060: tell portscout to ignore
24 Jan 2014 14:53:04
Original commit files touched by this commit  0.6.0
Revision:340904
miwi search for other commits by this committer
- Stage Safe
29 Oct 2013 16:38:07
Original commit files touched by this commit  0.6.0
Revision:331967
swills search for other commits by this committer
- Add a version of rubygem-bunny that's locked to version 0.6.0 for use by
  rubygem-chef-expander
02 Jul 2013 12:20:09
Original commit files touched by this commit  0.6.0
Revision:322164
swills search for other commits by this committer
- Remove unneeded backrev port
02 Jul 2013 02:16:57
Original commit files touched by this commit  0.6.0
Revision:322153
swills search for other commits by this committer
- Actually set rubygem-bunny060 port to correct version
- Add NO_LATEST_LINK to rubygem-bunny060
- Connect rubygem-bunny060 to build
02 Jul 2013 02:13:50
Original commit files touched by this commit  0.6.0
Revision:322152
swills search for other commits by this committer
- Create backrev version of rubygem-bunny version 0.6.0 which chef requires,
  since there is a pending update to 0.8.0 soon

Number of commits found: 9

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
cups-filtersJul 03
libressl*Jul 03
linux-c6-openssl*Jul 03
mingw32-openssl*Jul 03
openssl*Jul 03
cinepaint*Jul 01
darktable*Jul 01
dcraw*Jul 01
dcraw-m*Jul 01
exact-image*Jul 01
flphoto*Jul 01
freeimage*Jul 01
kodi*Jul 01
libraw*Jul 01
libxml2Jul 01

26 vulnerabilities affecting 52 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24975
Broken 208
Deprecated 48
Ignore 505
Forbidden 1
Restricted 204
No CDROM 94
Vulnerable 31
Expired 1
Set to expire 36
Interactive 0
new 24 hours 10
new 48 hours29
new 7 days83
new fortnight111
new month193

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.